package com.hc.business.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;
import lombok.NoArgsConstructor;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 用户课程表(UserCourse)实体类
 *
 * @author java
 * @since 2020-11-09 10:05:18
 */
@Getter
public class UserCourseDto {

    private Integer userCourseId;

    private Integer userId;

    private Integer courseId;

    private Double coursePercent;

    private String years;

    private Integer classId;

    private String courseName;

    private String courseLogo;

    private Integer courseType;

    private Integer courseHours;
    private String courseTeacher;

//    private String courseDesc;

  //  private Float courseHours;

    //private String courseTeacher;

}