package com.hc.business.mapper;

import com.hc.business.dto.LiveDto;
import com.hc.business.model.Live;
import org.springframework.stereotype.Repository;
import com.hc.core.utils.mapper.Mapper;

import java.util.List;

/**
 * 直播间表(Live)表数据库访问层
 *
 * @author makejava
 * @since 2024-01-20 10:58:03
 */

@Repository
public interface LiveMapper extends Mapper<Live> {

    List<LiveDto> queryListByUserIDAndLiveID(Integer userId, Integer liveId);
}
