package com.hc.business.mapper;

import com.hc.business.model.NewsAttachment;
import org.springframework.stereotype.Repository;
import com.hc.core.utils.mapper.Mapper;

import java.util.List;

/**
 * 新闻附件表(NewsAttachment)表数据库访问层
 *
 * @author makejava
 * @since 2024-01-20 10:58:03
 */

@Repository
public interface NewsAttachmentMapper extends Mapper<NewsAttachment> {

    /**
     * @Author ymnets
     * @Description 根据资讯ID查询附件
     * @return java.util.List<com.hc.business.model.NewsAttachment>
     **/
    List<NewsAttachment> queryByNewsId(Integer newsId);
}
