package com.hc.business.model.invoice;

import lombok.Data;

import java.util.List;

@Data
public class InvoiceOrder {
    private String buyerName;//购方名称
    private String buyerTaxNum;//方税号
    private String buyerTel;//购方电话
    private String buyerAddress;//购方地址
    private String buyerAccount;//购方银行开户行及账号
    private String listFlag;//清单标志：非清单:0；清单:1，默认:0，电票固定为0
    private String orderNo;//订单号201701053332079312313
    private String invoiceDate;//订单时间2022-01-13 12:30:00
    private String pushMode;//推送方式：-1,不推送;0,邮箱;1,手机（默认）;2,邮箱、手机
    private String buyerPhone;//购方手机（pushMode为1或2时，此项为    必填，同时受企业资质是否必填控制）
    private String email;//推送邮箱（pushMode为0或2时，此项为必填，同时受企业资质是否必填控制）
    private String invoiceType;//开票类型：1:蓝票;2:红票 （数电票冲红请 对接数电快捷冲红接口）
    private String invoiceLine;//发票种类 p
    private String callBackUrl;//回调地址
    private String salerTaxNum;//销方税号
    private String salerTel;//销方电话
    private String salerAddress;//销方地址
    private String machineCode;//机器编码
    private String terminalNumber;//机器编码
    private String extensionNumber;//分机号（只能为空或者数字）
    private String clerk;//开票人
    private List<InvoiceDetail>  invoiceDetail;//发票明细
}
