package com.hc.gpbusiness.dto;

import com.hc.gpbusiness.model.WebNews;
import com.hc.gpbusiness.model.WebNewsType;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;


/**
 * 新闻表
 * (News)实体类
 *
 * @author java
 * @since 2020-07-29 17:28:24
 */
@Data
public class WebNewsDto{

    private Integer newsId;

    /**
     * 鏍囬
     */
    private String newsTitle;

    /**
     * 鏂伴椈Logo
     */
    private String newsLogo;

    /**
     * 新闻内容
     */
    private String newsContent;

    /**
     * 原文链接
     */
    private String newsUrl;

    /**
     * 新闻所属板块
     */
    private Integer moduleId;

    /**
     * 分类
     */
    private Integer typeId;

    private Integer flag;

    /**
     * 创建时间
     */
    private Long createTime;

    /**
     * 更新时间
     */
    private Long updateTime;
    private String typeName;
}