package com.hc.gpbusiness.mapper;

import com.hc.gpbusiness.dto.WebModulesDto;
import com.hc.gpbusiness.model.WebModules;
import org.springframework.stereotype.Repository;
import com.hc.gpcore.utils.tk.mapper.Mapper;

import java.util.List;

/**
 * 板块表(Module)表数据库访问层
 *
 * @author java
 * @since 2020-07-29 16:23:10
 */

@Repository
public interface WebModulesMapper extends Mapper<WebModules> {

    /**
     * 依据父id查询 modules
     *
     * @param parentId 父级id
     * @return 实例对象
     */
    List<WebModulesDto> queryByParentId(Integer parentId);


}