package com.hc.gpbusiness.model.login;

import com.hc.gpbusiness.model.WebUser;
import com.hc.gpbusiness.model.WebUserAdmin;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@ApiModel
@Data
public class AccessEntity implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -5164168823800497252L;

//	@ApiModelProperty(value = "状态码",example = "1",required = true)
//	private String code;
//
//	@ApiModelProperty(value = "信息描述",example = "用户名或密码错误")
//	private String msg;

	@ApiModelProperty(value = "用户信息")
	private AuthEntity auth;

	@ApiModelProperty(value = "token",example = "e781d000-0498-46d3-90df-96edfd95bcd6")
	private TokenEntity token;

	@ApiModelProperty(value = "user")
	private WebUser user;

	@ApiModelProperty(value = "userAdmin")
	private WebUserAdmin userAdmin;

}
