package com.hc.web;

import com.spring4all.swagger.EnableSwagger2Doc;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;
import tk.mybatis.spring.annotation.MapperScan;

/**
 * @author 10696
 */
@SpringBootApplication
@ComponentScan("com.hc")
@MapperScan("com.hc.business.mapper")
@EnableSwagger2Doc
public class JxjyWebApplication {

	public static void main(String[] args) {
		SpringApplication.run(JxjyWebApplication.class, args);
	}

}
