package com.hc.business.mapper;

import com.hc.business.model.CourseChapterTag;
import org.springframework.stereotype.Repository;
import com.hc.core.utils.mapper.Mapper;

/**
 * 图书章节标签表。新建完成的图书章节，可以根据讲师不同，给不同的章节打标签，比如基础阶段，进阶阶段。。。(CourseChapterTag)表数据库访问层
 *
 * @author java
 * @since 2020-11-09 10:04:51
 */

@Repository
public interface CourseChapterTagMapper extends Mapper<CourseChapterTag> {

}