package com.hc.business.mapper;

import com.hc.business.model.CourseType;
import org.springframework.stereotype.Repository;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * (CourseType)表数据库访问层
 *
 * @author java
 * @since 2020-12-17 14:12:51
 */

@Repository
public interface CourseTypeMapper extends Mapper<CourseType> {

    /**
     * 查询课程分类
     *
     * @param courseName 课程分类名称
     * @return 实例对象数组
     */
    List<CourseType> queryAllByCourseName(String courseName);



}