package com.hc.business.model;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;


@Data
@ApiModel(value = "订单状态修改")
public class OrderStatus implements Serializable {

    private static final long serialVersionUID = 404350063874166042L;

    @ApiModelProperty(value = "orderId")
    private Integer orderId;

    @ApiModelProperty(value = "1通过2拒绝0重新发起支付")
    private Integer checkFlag;

    @ApiModelProperty(value = "备注")
    private  String remark;

}
