package com.hc.business.service;

import com.hc.business.dto.UserListDto;
import com.hc.business.dto.UserProgressDto;
import com.hc.business.dto.UserScoreDto;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * 用户表(User)表服务接口
 *
 * @author java
 * @since 2020-11-09 10:04:14
 */

@Component
public interface ToolsService {



    /**
     * 获取报名专家列表
     *
     *
     * @return 实例对象数组
     */
    List<UserListDto> getClassUserList(Integer id);


    /**
     * 获取报名专家学习进度列表
     *
     *
     * @return 实例对象数组
     */
    List<UserScoreDto> getClassScoreList(Integer id);


    /**
     * 获取机构报名列表
     *
     *
     * @return 实例对象数组
     */
    List<UserProgressDto> getClassProgress(Integer id);




}